Products 3 endpoints

POST /products/{id}/followers

Adds a follower to a product.

operationId: Products_addFollower

Parameters

Name In Required Type Description
id path required integer

The ID of the product

Request Body

application/json
schema ProductsAddFollowerRequest
Property Type Required
user_id integer required

Responses

201

Adds a follower to a product

POST /products/{id}/followers
DELETE /products/{id}/followers/{follower_id}

Deletes a follower from a product.

operationId: Products_deleteFollower

Parameters

Name In Required Type Description
id path required integer

The ID of the product

follower_id path required integer

The ID of the relationship between the follower and the product

Responses

200

Deletes a follower from a product

DELETE /products/{id}/followers/{follower_id}
GET /products/{id}/permittedUsers

Lists users permitted to access a product.

operationId: Products_listPermittedUsers

Parameters

Name In Required Type Description
id path required integer

The ID of the product

Responses

200

Lists users permitted to access a product

GET /products/{id}/permittedUsers

Projecttemplates 4 endpoints

GET /projectTemplates

Returns all not deleted project templates. This is a cursor-paginated endpoint. For more information, please refer to our documentation on pagination.

operationId: ProjectTemplates_getAllTemplates

Parameters

Name In Required Type Description
cursor query optional string

For pagination, the marker (an opaque string value) representing the first item on the next page

limit query optional integer

For pagination, the limit of entries to be returned. If not provided, up to 500 items will be returned.

Responses

200

A list of project template.

GET /projectTemplates
GET /projectTemplates/{id}

Returns the details of a specific project template.

operationId: ProjectTemplates_getDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the project template

Responses

200

Get a project template.

GET /projectTemplates/{id}
GET /projects/boards/{id}

Returns the details of a specific project board.

operationId: ProjectTemplates_getBoardDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the project board

Responses

200

Get a project board.

GET /projects/boards/{id}
GET /projects/phases/{id}

Returns the details of a specific project phase.

operationId: ProjectTemplates_getPhaseDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the project phase

Responses

200

Get a project phase.

GET /projects/phases/{id}

Projects 14 endpoints

GET /projects

Returns all projects. This is a cursor-paginated endpoint. For more information, please refer to our documentation on pagination.

operationId: Projects_getAllProjects

Parameters

Name In Required Type Description
cursor query optional string

For pagination, the marker (an opaque string value) representing the first item on the next page

limit query optional integer

For pagination, the limit of entries to be returned. If not provided, 100 items will be returned.

filter_id query optional integer

The ID of the filter to use

status query optional string

If supplied, includes only projects with the specified statuses. Possible values are open, completed, canceled and deleted. By default deleted projects are not returned.

phase_id query optional integer

If supplied, only projects in specified phase are returned

include_archived query optional boolean

If supplied with true then archived projects are also included in the response. By default only not archived projects are returned.

Responses

200

A list of projects.

GET /projects
POST /projects

Adds a new project. Note that you can supply additional custom fields along with the request that are not described here. These custom fields are different for each Pipedrive account and can be recognized by long hashes as keys.

operationId: Projects_createProject

Request Body

application/json
schema ProjectsCreateProjectRequest
Property Type Required
title string required
board_id number required
phase_id number required
labels array optional
org_id number optional
status string optional
deal_ids array optional
end_date string optional
owner_id number optional
person_id number optional
start_date string optional
description string optional
template_id number optional

Responses

201

Created project.

POST /projects
GET /projects/boards

Returns all projects boards that are not deleted.

operationId: Projects_getAllBoards

Responses

200

A list of project board.

GET /projects/boards
GET /projects/phases

Returns all active project phases under a specific board.

operationId: Projects_getPhases

Parameters

Name In Required Type Description
board_id query required integer

ID of the board for which phases are requested

Responses

200

A list of project phases.

GET /projects/phases
DELETE /projects/{id}

Marks a project as deleted.

operationId: Projects_markAsDeleted

Parameters

Name In Required Type Description
id path required integer

The ID of the project

Responses

200

Delete a project.

DELETE /projects/{id}
GET /projects/{id}

Returns the details of a specific project. Also note that custom fields appear as long hashes in the resulting data. These hashes can be mapped against the key value of project fields.

operationId: Projects_getDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the project

Responses

200

Get a project.

GET /projects/{id}
PUT /projects/{id}

Updates a project.

operationId: Projects_updateProject

Parameters

Name In Required Type Description
id path required integer

The ID of the project

Request Body

application/json
schema ProjectsUpdateProjectRequest
Property Type Required
title string optional
board_id number optional
phase_id number optional
labels array optional
org_id number optional
status string optional
deal_ids array optional
end_date string optional
owner_id number optional
person_id number optional
start_date string optional
description string optional

Responses

200

Updated project.

PUT /projects/{id}
GET /projects/{id}/activities

Returns activities linked to a specific project.

operationId: Projects_getProjectActivities

Parameters

Name In Required Type Description
id path required integer

The ID of the project

Responses

200

A list of activities

GET /projects/{id}/activities
POST /projects/{id}/archive

Archives a project.

operationId: Projects_archiveProject

Parameters

Name In Required Type Description
id path required integer

The ID of the project

Responses

200

Updated project.

POST /projects/{id}/archive
GET /projects/{id}/groups

Returns all active groups under a specific project.

operationId: Projects_getGroups

Parameters

Name In Required Type Description
id path required integer

The ID of the project

Responses

200

Get a project groups.

GET /projects/{id}/groups
GET /projects/{id}/plan

Returns information about items in a project plan. Items consists of tasks and activities and are linked to specific project phase and group.

operationId: Projects_getProjectPlan

Parameters

Name In Required Type Description
id path required integer

The ID of the project

Responses

200

Get a project plan.

GET /projects/{id}/plan
PUT /projects/{id}/plan/activities/{activityId}

Updates an activity phase or group in a project.

operationId: Projects_updateProjectPlanActivity

Parameters

Name In Required Type Description
id path required integer

The ID of the project

activityId path required integer

The ID of the activity

Request Body

application/json
schema ProjectsUpdateProjectPlanActivityRequest
Property Type Required
group_id number optional
phase_id number optional

Responses

200

Updated activity in plan.

PUT /projects/{id}/plan/activities/{activityId}
PUT /projects/{id}/plan/tasks/{taskId}

Updates a task phase or group in a project.

operationId: Projects_updatePlanTask

Parameters

Name In Required Type Description
id path required integer

The ID of the project

taskId path required integer

The ID of the task

Request Body

application/json
schema ProjectsUpdatePlanTaskRequest
Property Type Required
group_id number optional
phase_id number optional

Responses

200

Updated task in plan.

PUT /projects/{id}/plan/tasks/{taskId}
GET /projects/{id}/tasks

Returns tasks linked to a specific project.

operationId: Projects_getProjectTasks

Parameters

Name In Required Type Description
id path required integer

The ID of the project

Responses

200

A list of tasks.

GET /projects/{id}/tasks

Recents 1 endpoints

GET /recents

Returns data about all recent changes occurred after the given timestamp.

operationId: Recents_getChangesAfter

Parameters

Name In Required Type Description
since_timestamp query required string

The timestamp in UTC. Format: YYYY-MM-DD HH:MM:SS.

items query optional string

Multiple selection of item types to include in the query (optional)

start query optional integer

Pagination start

limit query optional integer

Items shown per page

Responses

200

List of items changed since “since_timestamp”

GET /recents

Roles 12 endpoints

GET /roles

Returns all the roles within the company.

operationId: Roles_getAllRoles

Parameters

Name In Required Type Description
start query optional integer

Pagination start

limit query optional integer

Items shown per page

Responses

200

Get all roles

GET /roles
POST /roles

Adds a new role.

operationId: Roles_createRole

Request Body

application/json
schema RolesCreateRoleRequest
Property Type Required
name string required
parent_role_id integer optional

Responses

200

Add a role

POST /roles
DELETE /roles/{id}

Marks a role as deleted.

operationId: Roles_markAsDeleted

Parameters

Name In Required Type Description
id path required integer

The ID of the role

Responses

200

Delete a role

DELETE /roles/{id}
GET /roles/{id}

Returns the details of a specific role.

operationId: Roles_getOneRole

Parameters

Name In Required Type Description
id path required integer

The ID of the role

Responses

200

Get one role

GET /roles/{id}
PUT /roles/{id}

Updates the parent role and/or the name of a specific role.

operationId: Roles_updateRoleDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the role

Request Body

application/json
schema RolesUpdateRoleDetailsRequest
Property Type Required
name string optional
parent_role_id integer optional

Responses

200

Update role details

PUT /roles/{id}
DELETE /roles/{id}/assignments

Removes the assigned user from a role and adds to the default role.

operationId: Roles_removeAssignment

Parameters

Name In Required Type Description
id path required integer

The ID of the role

Request Body

application/json
schema RolesRemoveAssignmentRequest
Property Type Required
user_id integer required

Responses

200

Delete assignment from a role

DELETE /roles/{id}/assignments
GET /roles/{id}/assignments

Returns all users assigned to a role.

operationId: Roles_listRoleAssignments

Parameters

Name In Required Type Description
id path required integer

The ID of the role

start query optional integer

Pagination start

limit query optional integer

Items shown per page

Responses

200

List assignments for a role

GET /roles/{id}/assignments
POST /roles/{id}/assignments

Assigns a user to a role.

operationId: Roles_assignUser

Parameters

Name In Required Type Description
id path required integer

The ID of the role

Request Body

application/json
schema RolesAssignUserRequest
Property Type Required
user_id integer required

Responses

200

Add assignment for a role

POST /roles/{id}/assignments
GET /roles/{id}/pipelines

Returns the list of either visible or hidden pipeline IDs for a specific role. For more information on pipeline visibility, please refer to the Visibility groups article.

operationId: Roles_listPipelineVisibility

Parameters

Name In Required Type Description
id path required integer

The ID of the role

visible query optional boolean

Whether to return the visible or hidden pipelines for the role

Responses

200

Get either visible or hidden pipeline ids for a role

GET /roles/{id}/pipelines
PUT /roles/{id}/pipelines

Updates the specified pipelines to be visible and/or hidden for a specific role. For more information on pipeline visibility, please refer to the Visibility groups article.

operationId: Roles_updatePipelineVisibility

Parameters

Name In Required Type Description
id path required integer

The ID of the role

Request Body

application/json
schema RolesUpdatePipelineVisibilityRequest
Property Type Required
visible_pipeline_ids object required

Responses

200

Update pipeline visibility for a role

PUT /roles/{id}/pipelines
GET /roles/{id}/settings

Returns the visibility settings of a specific role.

operationId: Roles_getRoleSettings

Parameters

Name In Required Type Description
id path required integer

The ID of the role

Responses

200

List role settings

GET /roles/{id}/settings
POST /roles/{id}/settings

Adds or updates the visibility setting for a role.

operationId: Roles_addOrUpdateSetting

Parameters

Name In Required Type Description
id path required integer

The ID of the role

Request Body

application/json
schema RolesAddOrUpdateSettingRequest
Property Type Required
value integer required
setting_key string required

Responses

200

List role settings

POST /roles/{id}/settings

Stages 7 endpoints

DELETE /stages

Marks multiple stages as deleted.

operationId: Stages_deleteBulk

Parameters

Name In Required Type Description
ids query required string

The comma-separated stage IDs to delete

Responses

200

Delete multiple stages

DELETE /stages
GET /stages

Returns data about all stages.

operationId: Stages_getAll

Parameters

Name In Required Type Description
pipeline_id query optional integer

The ID of the pipeline to fetch stages for. If omitted, stages for all pipelines will be fetched.

start query optional integer

Pagination start

limit query optional integer

Items shown per page

Responses

200

Get all stages

GET /stages
POST /stages

Adds a new stage, returns the ID upon success.

operationId: Stages_createNewStage

Request Body

application/json
schema StagesCreateNewStageRequest
Property Type Required
name string required
pipeline_id integer required
rotten_days integer optional
rotten_flag boolean optional
deal_probability integer optional

Responses

200

Get all stages

POST /stages
DELETE /stages/{id}

Marks a stage as deleted.

operationId: Stages_deleteStage

Parameters

Name In Required Type Description
id path required integer

The ID of the stage

Responses

200

Delete stage

DELETE /stages/{id}
GET /stages/{id}

Returns data about a specific stage.

operationId: Stages_getOneStage

Parameters

Name In Required Type Description
id path required integer

The ID of the stage

everyone query optional number

If everyone=1 is provided, deals summary will return deals owned by every user

Responses

200

Get stage

GET /stages/{id}
PUT /stages/{id}

Updates the properties of a stage.

operationId: Stages_updateDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the stage

Request Body

application/json
schema StagesUpdateDetailsRequest
Property Type Required
name string optional
pipeline_id integer optional
rotten_days integer optional
rotten_flag boolean optional
deal_probability integer optional
order_nr integer optional

Responses

200

Get all stages

PUT /stages/{id}
GET /stages/{id}/deals

Lists deals in a specific stage.

operationId: Stages_getStageDeals

Parameters

Name In Required Type Description
id path required integer

The ID of the stage

filter_id query optional integer

If supplied, only deals matching the given filter will be returned

user_id query optional integer

If supplied, filter_id will not be considered and only deals owned by the given user will be returned. If omitted, deals owned by the authorized user will be returned.

everyone query optional number

If supplied, filter_id and user_id will not be considered – instead, deals owned by everyone will be returned

start query optional integer

Pagination start

limit query optional integer

Items shown per page

Responses

200

Get deals in a stage

GET /stages/{id}/deals

Subscriptions 9 endpoints

GET /subscriptions/find/{dealId}

Returns details of an installment or a recurring subscription by the deal ID.

operationId: Subscriptions_findByDealId

Parameters

Name In Required Type Description
dealId path required integer

The ID of the deal

Responses

200

Success

GET /subscriptions/find/{dealId}
POST /subscriptions/installment

Adds a new installment subscription.

operationId: Subscriptions_addInstallmentSubscription

Request Body

application/json
schema SubscriptionsAddInstallmentSubscriptionRequest
Property Type Required
deal_id integer required
currency string required
payments array required
update_deal_value boolean optional

Responses

200

Success

POST /subscriptions/installment
PUT /subscriptions/installment/{id}

Updates an installment subscription.

operationId: Subscriptions_updateInstallmentSubscription

Parameters

Name In Required Type Description
id path required integer

The ID of the subscription

Request Body

application/json
schema SubscriptionsUpdateInstallmentSubscriptionRequest
Property Type Required
payments array required
update_deal_value boolean optional

Responses

200

Success

PUT /subscriptions/installment/{id}
POST /subscriptions/recurring

Adds a new recurring subscription.

operationId: Subscriptions_addRecurring

Request Body

application/json
schema SubscriptionsAddRecurringRequest
Property Type Required
deal_id integer required
currency string required
infinite boolean optional
payments array optional
start_date string required
description string optional
cadence_type string required
cycle_amount integer required
cycles_count integer optional
update_deal_value boolean optional

Responses

200

Success

POST /subscriptions/recurring
PUT /subscriptions/recurring/{id}

Updates a recurring subscription.

operationId: Subscriptions_updateRecurring

Parameters

Name In Required Type Description
id path required integer

The ID of the subscription

Request Body

application/json
schema SubscriptionsUpdateRecurringRequest
Property Type Required
payments array optional
description string optional
cycle_amount integer optional
effective_date string required
update_deal_value boolean optional

Responses

200

Success

PUT /subscriptions/recurring/{id}
PUT /subscriptions/recurring/{id}/cancel

Cancels a recurring subscription.

operationId: Subscriptions_cancelRecurringSubscription

Parameters

Name In Required Type Description
id path required integer

The ID of the subscription

Request Body

application/json
schema SubscriptionsCancelRecurringSubscriptionRequest
Property Type Required
end_date string optional

Responses

200

Success

PUT /subscriptions/recurring/{id}/cancel
DELETE /subscriptions/{id}

Marks an installment or a recurring subscription as deleted.

operationId: Subscriptions_deleteMarked

Parameters

Name In Required Type Description
id path required integer

The ID of the subscription

Responses

200

Success

DELETE /subscriptions/{id}
GET /subscriptions/{id}

Returns details of an installment or a recurring subscription.

operationId: Subscriptions_getDetails

Parameters

Name In Required Type Description
id path required integer

The ID of the subscription

Responses

200

Success

GET /subscriptions/{id}
GET /subscriptions/{id}/payments

Returns all payments of an installment or recurring subscription.

operationId: Subscriptions_getPayments

Parameters

Name In Required Type Description
id path required integer

The ID of the subscription

Responses

200

Success

GET /subscriptions/{id}/payments
Load more endpoints